# Get Resource List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getResourceList`

Return the venue resource list for the venue.

#### Request Body

| Name    | Type    | Description         |
| ------- | ------- | ------------------- |
| venueId | integer | The id of the venue |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 2,
        "start": 0,
        "perPage": 100,
        "count": 2
    },
    "results": [
        {
            "id": 3,
            "venueId": 1,
            "name": "Resource 1",
            "code": "",
            "categoryId": 1,
            "shortDescription": "",
            "longDescription": null,
            "quantity": 12,
            "canBookByHour": true,
            "hourlyCost": 0,
            "dailyCost": 10,
            "isRestrictedToSpaces": true,
            "hasSubResources": false,
            "costcenterId": 3,
            "isViewable": true,
            "createdDate": "2017-12-20 11:09:38 UTC",
            "modifiedDate": "2020-11-10 06:51:47 UTC"
        },
        {
            "id": 24,
            "venueId": 1,
            "name": "Resource 2",
            "code": "",
            "categoryId": 1,
            "shortDescription": "",
            "longDescription": null,
            "quantity": null,
            "canBookByHour": true,
            "hourlyCost": 0,
            "dailyCost": 0,
            "isRestrictedToSpaces": true,
            "hasSubResources": true,
            "costcenterId": 3,
            "isViewable": true,
            "createdDate": "2020-11-10 06:59:29 UTC",
            "modifiedDate": "2020-11-10 06:59:29 UTC"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

`Get Venues Resource List`

```javascript
{
  "venueId": 2
}
```

### Returns

`A collection object with the following properties in the results`

| Property                 | Description                                            |
| ------------------------ | ------------------------------------------------------ |
| id                       | The unique invoice identifier                          |
| venueId                  | The id of the venue to which the resource belongs      |
| name                     | The name of the resource                               |
| code                     | The code of the resource                               |
| categoryId               | The category of the resource                           |
| shortDescription         | The short description of the resource                  |
| longDescription          | The long description of the resource                   |
| quantity                 | The quantity of the resource                           |
| canBookByHour            | Whether or not the resource can be booked by hour      |
| hourlyCost               | Hourly cost of the resource                            |
| hourlyCostExcludedTaxIds | Details of taxes                                       |
| dailyCost                | Daily cost of the resource                             |
| dailyCostExcludedTaxIds  | Details of taxes                                       |
| isRestrictedToSpaces     | Whether or not this resource is restricted to spaces   |
| hasSubResources          | Whether or not this resource has sub resources         |
| subResourceIds           | ids of sub resources                                   |
| costcenterId             | The costcenter id of the resource                      |
| isViewable               | Whether or not the resource is viewable on marketplace |
| createdDate              | The date & time the resource was created               |
| modifiedDate             | The date & time the resource was last modified         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-resource-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
